From b7674c9e5d3161e925c84654cf593550dacd3d72 Mon Sep 17 00:00:00 2001
From: nigels <nigels@783a27ee-832a-0410-bc00-9f386506c6dd>
Date: Sat, 30 Oct 2010 01:10:37 +0000
Subject: [PATCH] Resolve ID: 3058120 - can't make svn

git-svn-id: https://glew.svn.sourceforge.net/svnroot/glew/trunk/glew@627 783a27ee-832a-0410-bc00-9f386506c6dd
---
 auto/bin/update_registry.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/auto/bin/update_registry.sh b/auto/bin/update_registry.sh
index a053d55..a03573f 100755
--- a/auto/bin/update_registry.sh
+++ b/auto/bin/update_registry.sh
@@ -14,6 +14,12 @@ if [ ! -d $1 ] ; then
 fi
 cd $1
 
+# wget used to return 0 (success), but more recent versions
+# don't so we don't want to bail out in failure mode
+# eventhough everything is fine.
+
+set +e
+
 wget                                                    \
     --mirror                                            \
     --no-parent                                         \
@@ -22,3 +28,6 @@ wget                                                    \
     --accept=txt,html                                   \
     $2
 
+echo 'wget exit code: ' $?
+
+exit 0